{{ define "header_css" }}

  {{ $currentNode := . }}
  {{ with .Params.styling }}
    {{ $styling := ".scss" | printf "%s%s" . | printf "%s%s" "scss/" | printf "%s" }}
    {{ $stylingPath := ".css" | printf "%s%s" . | printf "%s%s" "css/" | printf "%s" }}
    {{ if $currentNode.Site.IsServer }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" true) }}
      <link rel="stylesheet" href="{{ ($style).RelPermalink }}">
    {{ else }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" false) }}
      <link rel="stylesheet" href="{{ ($style | minify | fingerprint).RelPermalink }}">
    {{ end }}
  {{ end }}
{{ end }}



{{ define "body_classes" }}page-default-single{{ end }}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}
<h1 class="title">{{.Title}}</h1>
<div class="content {{if .Site.Params.enable_anchor_link}}{{ "anchor-link-enabled" }}{{ end }}">
  {{.Content}}
</div>
{{ $Pre := true }}
{{ range .Site.Sections.ByPublishDate.Reverse }}
<div>
  {{ $VersionString := index (first 1 (split (replace .Permalink .Site.BaseURL "" ) "/")) 0 }}
  <h2>
    <a href="{{ .Permalink }}" title="{{ $VersionString }}"/>
      {{ $VersionString }}
    </a>
    {{ if ( eq $VersionString "dev" ) }}
    <span class="badge badge-warning" title="This is the dev branch.">unreleased</span>
    {{ else if eq $.Site.Params.default_version $VersionString }}
    {{ $Pre = false }}
    <span class="badge badge-success" title="This is the latest release. When you look for the best version for you aim for this.">latest</span>
    {{ else if ( eq $Pre true ) }}
    <span class="badge badge-info" title="This is a preview of an upcoming release.">preview</span>
    {{ end }}
  </h2>
  <p>{{ .Summary }}</p>
</div>
{{ end }}
</div>
{{ end }}
